Bug 749732

Summary: Kernel crash on repeated key press of brightness keys on Dell 1558.
Product: [Fedora] Fedora Reporter: Prasanna V L <pvl>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: gansalmon, itamar, jforbes, jonathan, kernel-maint, madhu.chinakonda
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2012-11-14 10:20:07 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Attachments:
Description Flags
lshw output. none

Description Prasanna V L 2011-10-28 01:55:11 EDT
Created attachment 530616 [details]
lshw output.

Description of problem:

The Kernel crashes and goes back to the screen which reads 

Loading Fedora (3.1.0-1.fc16.x86_64)
Loading initial ramdisk ...

(basically the text echoed from grub during boot.) And a hard reboot is necessary. 

Version-Release number of selected component (if applicable):
3.1.0-1.fc16.x86_64

How reproducible:
Pressing the brightness up key repeatedly on the Dell 1558. 

Steps to Reproduce:
1. Let the system load up till gnome desktop. (doesn't happen on terminal)
2. Press Fn+F5 repeatedly.
  
Actual results:
Change in screen brightness levels.

Expected results:
Kernel Crash.

Additional info:

No logs available. There seems to be no log of the system crash anywhere. The system boots up normal once restarted. But none of the logs in /var/log seems to have any indication. 

Personal hunch: I'm assuming its a problem with the open source radeon drivers although I can't seem to find something to support it yet. Still trying to investigate the issue.

lspci output:

00:00.0 Host bridge: Intel Corporation Core Processor DRAM Controller (rev 12)
00:01.0 PCI bridge: Intel Corporation Core Processor PCI Express x16 Root Port (rev 12)
00:16.0 Communication controller: Intel Corporation 5 Series/3400 Series Chipset HECI Controller (rev 06)
00:1a.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1b.0 Audio device: Intel Corporation 5 Series/3400 Series Chipset High Definition Audio (rev 06)
00:1c.0 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 1 (rev 06)
00:1c.1 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 2 (rev 06)
00:1c.3 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 4 (rev 06)
00:1c.4 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 5 (rev 06)
00:1c.5 PCI bridge: Intel Corporation 5 Series/3400 Series Chipset PCI Express Root Port 6 (rev 06)
00:1d.0 USB Controller: Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller (rev 06)
00:1e.0 PCI bridge: Intel Corporation 82801 Mobile PCI Bridge (rev a6)
00:1f.0 ISA bridge: Intel Corporation Mobile 5 Series Chipset LPC Interface Controller (rev 06)
00:1f.2 SATA controller: Intel Corporation 5 Series/3400 Series Chipset 4 port SATA AHCI Controller (rev 06)
00:1f.3 SMBus: Intel Corporation 5 Series/3400 Series Chipset SMBus Controller (rev 06)
02:00.0 VGA compatible controller: ATI Technologies Inc Manhattan [Mobility Radeon HD 5400 Series]
02:00.1 Audio device: ATI Technologies Inc Manhattan HDMI Audio [Mobility Radeon HD 5000 Series]
04:00.0 Network controller: Broadcom Corporation BCM43224 802.11a/b/g/n (rev 01)
07:00.0 SD Host controller: Ricoh Co Ltd MMC/SD Host Controller (rev 01)
07:00.1 System peripheral: Ricoh Co Ltd Memory Stick Host Controller (rev 01)
07:00.2 System peripheral: Ricoh Co Ltd Device e852 (rev 01)
07:00.3 FireWire (IEEE 1394): Ricoh Co Ltd FireWire Host Controller (rev 01)
09:00.0 Ethernet controller: Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller (rev 03)
ff:00.0 Host bridge: Intel Corporation Core Processor QuickPath Architecture Generic Non-core Registers (rev 02)
ff:00.1 Host bridge: Intel Corporation Core Processor QuickPath Architecture System Address Decoder (rev 02)
ff:02.0 Host bridge: Intel Corporation Core Processor QPI Link 0 (rev 02)
ff:02.1 Host bridge: Intel Corporation Core Processor QPI Physical 0 (rev 02)
ff:02.2 Host bridge: Intel Corporation Core Processor Reserved (rev 02)
ff:02.3 Host bridge: Intel Corporation Core Processor Reserved (rev 02)

lshw output has been attached.
Comment 1 Josh Boyer 2011-10-28 09:58:51 EDT
Could you try installing kernel-debug to see if an oops or traceback is produced?
Comment 2 Prasanna V L 2011-10-29 01:50:03 EDT
Travelling until tomorrow. Will check if a traceback is produced once I get back. Sorry for the delay.
Comment 3 Prasanna V L 2011-10-31 04:31:38 EDT
The debug kernel crashes the same way. Instantly back to the initial screen echoed by grub. No oops or traceback produced.

UPDATE: Happens in the terminal without X running as well. So, my initial guess that it might have something to do with the video drivers is wrong.

Just had to press both brightness down (Fn+F4) and brightness up (Fn+F5) repeatedly for about 3 seconds to reproduce the problem.

Please advice.
Comment 4 Dave Jones 2011-10-31 12:24:41 EDT
I have a hunch this is something in the wmi driver.  Does it still happen if you rmmod dell_wmi ?
Comment 5 Prasanna V L 2011-10-31 15:20:34 EDT
The wmi driver was the first thing that came to mind as I had the issue. Unfortunately, unloading it doesn't help. No difference.
Comment 6 Prasanna V L 2011-11-28 07:04:37 EST
So, had a little test-drive with Ubuntu. Surprisingly, the Ubuntu kernel did not have any problems and seemed to run perfectly. 

Back on F16. Fully updated. And now I realized the maximum time the system can run was for about 45 mins. System gradually heats up, becomes extremely sluggish, and then heats up more, turns off abruptly.

CPU load seems to normal at all points of time. Issues related? Power management problems?
Comment 7 Dave Jones 2012-03-22 12:45:17 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 8 Dave Jones 2012-03-22 12:49:45 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 9 Dave Jones 2012-03-22 12:59:20 EDT
[mass update]
kernel-3.3.0-4.fc16 has been pushed to the Fedora 16 stable repository.
Please retest with this update.
Comment 10 Prasanna V L 2012-04-15 09:31:29 EDT
I've moved on to a Dell XPS. So, will be unable to test it. Please close bug if no one else volunteers and stays inactive.
Comment 11 Dave Jones 2012-10-23 11:33:19 EDT
# Mass update to all open bugs.

Kernel 3.6.2-1.fc16 has just been pushed to updates.
This update is a significant rebase from the previous version.

Please retest with this kernel, and let us know if your problem has been fixed.

In the event that you have upgraded to a newer release and the bug you reported
is still present, please change the version field to the newest release you have
encountered the issue with.  Before doing so, please ensure you are testing the
latest kernel update in that release and attach any new and relevant information
you may have gathered.

If you are not the original bug reporter and you still experience this bug,
please file a new report, as it is possible that you may be seeing a
different problem. 
(Please don't clone this bug, a fresh bug referencing this bug in the comment is sufficient).
Comment 12 Justin M. Forbes 2012-11-14 10:20:07 EST
With no response, we are closing this bug under the assumption that it is no longer an issue. If you still experience this bug, please feel free to reopen the bug report.